6.0.0-git
2019-03-21

[#7753] Horde top menu not shown with internet explorer in RTL language based locale
Summary Horde top menu not shown with internet explorer in RTL language based locale
Queue IMP
Queue Version 4.3.2
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester amir (at) sheroot (dot) net
Created 2008-12-04 (3759 days ago)
Due
Updated 2012-10-02 (2361 days ago)
Assigned 2008-12-22 (3741 days ago)
Resolved 2012-10-02 (2361 days ago)
Milestone
Patch No

History
2012-10-02 04:12:45 Michael Slusarz Comment #16
State ⇒ Resolved
Reply to this comment
Resolving, as the topbar has been rewritten for H5.
2008-12-22 20:30:56 Chuck Hagenbuch Comment #15 Reply to this comment
Also, the menu is there in the output. Just not shown. And it's only 
not shown in Horde (top level), and in IMP.
2008-12-22 20:30:31 Chuck Hagenbuch Comment #14
Assigned to Horde DevelopersHorde Developers
Reply to this comment
No idea why, though.
2008-12-22 20:30:17 Chuck Hagenbuch Comment #13
State ⇒ Assigned
Version ⇒ 4.3.2
Reply to this comment
I can confirm this.
2008-12-14 18:34:09 amir (at) sheroot (dot) net Comment #12 Reply to this comment
Sorry ...

I really want to help solve this problem but i don't (yet) know your 
ticket system rules.



The location of the buttons is not known to me as i am not familiar 
with the structure of Horde's system.



Please let me know if there is anything i can do to help solve this problem.


2008-12-14 18:22:29 Chuck Hagenbuch Comment #11 Reply to this comment
Please stop pasting in full HTML pages. If you want to give us the 
data instead of just answering the question, that's fine, but please 
attach the pages to the ticket instead of pasting them in to comments.
2008-12-14 17:25:51 amir (at) sheroot (dot) net Comment #10 Reply to this comment
I have just tried using a test server with Horde 3.3 and imp 4.3 - the 
same happens



here is the source of the internet explorer page :



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"DTD/xhtml1-transitional.dtd">

<!--   IMP: Copyright 2001-2008 The Horde Project.  IMP is under the GPL.  -->

<!-- Horde Project: http://www.horde.org/ | IMP: http://www.horde.org/imp/ -->

<!--        GNU Public License: http://www.fsf.org/copyleft/gpl.html       -->

<html lang="he-IL"><head><script type="text/javascript">//<![CDATA[

var IMP = 
{"conf":{"hasDOM":true,"IMP_ALL":0,"isIE":true,"pop3":false,"fixed_folders":[],"js_editor":"xinha"},"text":{"compose_cancel":"Cancelling this message will permanently discard its contents.\nAre you sure you want to do this?","compose_discard":"Doing so will discard this message permanently.","compose_recipient":"You must specify a recipient.","compose_sigreplace":"The signature was successfully replaced.","compose_signotreplace":"The signature could not be replaced.","compose_nosubject":"The message does not have a Subject entered.\nSend message without a Subject?","compose_file":"File","compose_attachment":"Attachment","compose_inline":"Inline","mailbox_submit":"You must select at least one message first.","mailbox_delete":"Are you sure you wish to PERMANENTLY delete these messages?","mailbox_selectone":"You must select at least one message first.","yes":"Yes","no":"No","contacts_select":"You must select an address first.","contacts_closed":"The message being composed has been closed. Exiting.","contacts_called":"This window must be called from a compose window.","folders_select":"Please select a folder before you perform this action.","folders_oneselect":"Only one folder should be selected for this action.","folders_subfolder1":"You are creating a sub-folder to","folders_subfolder2":"Please enter the name of the new folder:","folders_toplevel":"You are creating a top-level folder.\nPlease enter the name of the new folder:","folders_download1":"All messages in the following folder(s) will be downloaded into one MBOX file:","folders_download2":"This may take some time. Are you sure you want to continue?","folders_rename1":"You are renaming the folder:","folders_rename2":"Please enter the new name:","folders_no_rename":"This folder may not be renamed:","search_select":"Please select at least one folder to search.","popup_block":"A popup window could not be opened. Perhaps you have set your browser to block popup windows?","login_username":"Please provide your username.","login_password":"Please provide your password.","spam_report":"Are you sure you wish to report this message as spam?","notspam_report":"Are you sure you wish to report this message as innocent?","newfolder":"You are copying\/moving to a new folder.\nPlease enter a name for the new folder:\n","target_mbox":"You must select a target mailbox 
first."}};

//]]></script>

<script type="text/javascript" src="/horde/js/prototype.js"></script>

<script type="text/javascript" src="/horde/js/horde-prototype.js"></script>

<script type="text/javascript" src="/horde/imp/js/effects.js"></script>

<script type="text/javascript" src="/horde/imp/js/redbox.js"></script>

<script type="text/javascript" src="/horde/imp/js/mailbox.js"></script>

<link href="/horde/themes/screen.css" rel="stylesheet" type="text/css" />

<link href="/horde/themes/bluewhite/screen.css" rel="stylesheet" 
type="text/css" />

<link href="/horde/themes/rtl.css" rel="stylesheet" type="text/css" />

<link href="/horde/themes/bluewhite/rtl.css" rel="stylesheet" 
type="text/css" />

<link href="/horde/imp/themes/screen.css" rel="stylesheet" type="text/css" />

<link href="/horde/imp/themes/bluewhite/screen.css" rel="stylesheet" 
type="text/css" />

<link href="/horde/imp/themes/rtl.css" rel="stylesheet" type="text/css" />

<link href="/horde/imp/themes/ie7.css" rel="stylesheet" type="text/css" />

<title>Mail :: Inbox (9)</title>

<link href="/horde/imp/themes/graphics/favicon.ico" rel="SHORTCUT ICON" />

<link href="/horde/imp/mailbox.php" rel="Up" />

<link rel="alternate" type="application/rss+xml" href="/horde/imp/rss.php" />

<link href="/horde/imp/search.php" rel="search" />

</head>



<body>

<script type="text/javascript" src="/horde/imp/js/popup.js"></script>

<script type="text/javascript" src="/horde/js/popup.js"></script>

<form action="mailbox.php" method="get" name="menuform">



<div id="menu">



  <div class="rightFloat">

   <input type="hidden" name="no_newmail_popup" value="1" />

   <label for="mailbox" accesskey="l">

   <select id="mailbox" name="mailbox" 
onchange="folderSubmit()"><option value="INBOX" 
selected="selected">Inbox</option>

<option value="junkmail">junkmail</option>

</select>

   </label>

  </div>

  <div class="rightFloat">

   <ul><li class="rightFloat"><a href="#" onclick="folderSubmit(true); 
return false;"><img 
src="/horde/imp/themes/graphics/folders/folder_open.png" alt="Open 
Folder" title="" /><br />Open Folder&#8237;(<span 
class="accessKey">L</span>)</a></li></ul>

  </div>



  <div class="leftFloat">

   <ul>

<li><a 
href="/horde/login.php?horde_logout_token=7ef2a9543fefc41122e547cd9cd25f4e&amp;app=imp&amp;logout_reason=logout" target="_parent"><img src="/horde/themes/graphics/logout.png" alt="&#1492;&#1514;&#1504;&#1514;&#1511;&#1493;&#1514;" title="" /><br 
/>&#1492;&#1514;&#1504;&#1514;&#1511;&#1493;&#1514;</a></li>

<li><a href="https://192.168.200.115/horde/services/help/?module=imp
onclick="popup(this.href); return false;" class="helplink" 
target="help"><img src="/horde/themes/graphics/help_index.png" 
alt="&#1506;&#1494;&#1512;&#1492;" title="" /><br 
/>&#1506;&#1494;&#1512;&#1492;</a></li>

<li><a href="/horde/services/prefs.php?app=imp"><img 
src="/horde/themes/graphics/prefs.png" 
alt="&#1488;&#1508;&#1513;&#1512;&#1493;&#1497;&#1493;&#1514;" 
title="" /><br 
/>&#1488;&#1508;&#1513;&#1512;&#1493;&#1497;&#1493;&#1514;</a></li>

<li><a href="/horde/turba/"><img 
src="/horde/turba/themes/graphics/turba.png" 
alt="&#1505;&#1508;&#1512; &#1499;&#1514;&#1493;&#1489;&#1493;&#1514;" 
title="" /><br />&#1505;&#1508;&#1512; 
&#1499;&#1514;&#1493;&#1489;&#1493;&#1514;</a></li>

<li><a href="/horde/ingo/"><img 
src="/horde/ingo/themes/graphics/ingo.png" alt="Filters" title="" 
/><br />Filters</a></li>

<li><a href="/horde/imp/"><img 
src="/horde/imp/themes/graphics/imp.png" alt="Mail" title="" /><br 
/>Mail</a></li>

<li><a href="/horde/imp/fetchmail.php" accesskey="e"><img 
src="/horde/imp/themes/graphics/fetchmail.png" alt="Fetch Mail" 
title="" /><br />Fetch Mail&#8237;(<span 
class="accessKey">E</span>)</a></li>

<li><a href="/horde/imp/search.php"><img 
src="/horde/themes/graphics/search.png" alt="&#1495;&#1508;&#1513;" 
title="" /><br />&#1495;&#1508;&#1513;</a></li>

<li><a href="/horde/imp/folders.php?nocache=5pi0iecob78c"><img 
src="/horde/imp/themes/graphics/folders/folder.png" 
alt="&#1514;&#1497;&#1511;&#1497;&#1493;&#1514;" title="" /><br 
/>&#1514;&#1497;&#1511;&#1497;&#1493;&#1514;</a></li>

<li><a 
href="javascript:popup_imp('/horde/imp/compose.php',700,650,'mailbox=INBOX');"><img src="/horde/imp/themes/graphics/compose.png" alt="&#1492;&#1493;&#1491;&#1506;&#1492; &#1495;&#1491;&#1513;&#1492;" title="" /><br />&#1492;&#1493;&#1491;&#1506;&#1492; 
&#1495;&#1491;&#1513;&#1492;</a></li>

<li><a href="/horde/imp/mailbox.php?mailbox=INBOX" 
class="current"><img 
src="/horde/imp/themes/graphics/folders/inbox.png" 
alt="&#1491;&#1493;&#1488;&#1512; &#1504;&#1499;&#1504;&#1505;" 
title="" /><br />&#1491;&#1493;&#1488;&#1512; 
&#1504;&#1499;&#1504;&#1505;</a></li></ul>

  </div>

  <br class="clear" />

</div>



</form>





<script type="text/javascript">

var loading;

function folderSubmit(clear)

{

     if 
(document.menuform.mailbox[document.menuform.mailbox.selectedIndex].value != 
'') {

         if ((loading == null) || (clear != null)) {

             loading = true;

             document.menuform.submit();

         }

     }

}

</script>



<ul class="notices"><li><img 
src="/horde/themes/graphics/alerts/message.png" alt="Message" title="" 
/>Last login: IST 19:19:46 2008 &#1491;&#1510;&#1502; 14 &#1488;' from 
pc-00102.sheroot.net</li></ul><div class="header">

  <div class="leftFloat">

   <span dir="ltr">Inbox (9)</span>

   <a href="/horde/imp/mailbox.php?mailbox=INBOX&amp;page=1" 
title="Refresh Inbox (Accesskey R)" accesskey="R"><img 
src="/horde/themes/graphics/reload.png" alt="Reload" title="" /></a>

   <a 
href="/horde/imp/mailbox.php?mailbox=INBOX&amp;actionID=filter&amp;mailbox_token=04b6ecffac0dfc1bb1a2e03513c56a26&amp;page=1" title="Apply Filters to Inbox"><img src="/horde/imp/themes/graphics/filters.png" alt="Apply Filters" title="" 
/></a>

   <a href="/horde/imp/search.php?search_mailbox=INBOX" title="Search 
Inbox"><img src="/horde/themes/graphics/search.png" 
alt="&#1495;&#1508;&#1513;" title="" /></a>

   <a 
href="/horde/imp/mailbox.php?mailbox=INBOX&amp;actionID=empty_mailbox&amp;mailbox_token=04b6ecffac0dfc1bb1a2e03513c56a26" onclick="imp_confirm(this.href, 'Are you sure you wish to delete all mail in this folder?'); return false;" title="Empty folder"><img src="/horde/imp/themes/graphics/empty_spam.png" alt="Empty folder" title="" 
/></a>



  </div>



  <div class="rightFloat rightAlign">



   1 to 9 of 9 Messages

  </div>

  <div class="clear"></div>

</div>

<table width="100%" cellspacing="0">

  <tr class="mboxcontrol">

   <td>

    <div class="leftFloat">

     <form id="select1" action="javascript:void(0)" onsubmit="return false">

     <input type="hidden" name="mailbox" value="INBOX" />

     <label for="filter1" class="hidden">Select:</label>

     <select id="filter1" name="filter" onchange="makeSelection(1);">

      <option value="" selected="selected">Select:</option>

      <option value="!0">&#1492;&#1499;&#1500;</option>

      <option value="0">None</option>

      <option value="+0">Invert</option>



      <option value="!1">Seen</option>

      <option value="1">Unseen</option>

      <option value="8">Important</option>

      <option value="!8">Not Important</option>

      <option value="4">Answered</option>

      <option value="!4">Unanswered</option>

      <option value="2">Deleted</option>

      <option value="!2">Not Deleted</option>

      <option value="16">Draft</option>

      <option value="!16">Not Draft</option>

      <option value="32">Personal</option>

      <option value="!32">Not Personal</option>

     </select>

     <label for="flag1" class="hidden">Mark as:</label>

     <select id="flag1" name="flag" onchange="flagMessages(1);">

      <option value="" selected="selected">Mark as:</option>

      <option value="Seen">Seen</option>

      <option value="0Seen">Unseen</option>

      <option value="Flagged">Flagged For Followup</option>

      <option value="0Flagged">Not Flagged</option>

      <option value="Answered">Answered</option>

      <option value="0Answered">Unanswered</option>



      <option value="Deleted">Deleted</option>

      <option value="0Deleted">Not Deleted</option>



      <option value="Draft">Draft</option>

      <option value="0Draft">Not Draft</option>



     </select>

     </form>

    </div>



    <div class="leftFloat" style="padding-left:10px">

     <form method="post" action="/horde/imp/mailbox.php">

     <input type="hidden" name="mailbox" value="INBOX" />

     <ul class="msgactions" style="display:inline">

      <li><a href="#" onclick="transfer('move_messages', 1); return 
false;" class="widget">&#1492;&#1506;&#1489;&#1512;</a></li>

      <li class="lastnavbar"><a href="#" 
onclick="transfer('copy_messages', 1); return false;" 
class="widget">Copy</a></li>

     </ul>

     <label for="targetMailbox1" class="hidden">Target Mailbox:</label>

     <select id="targetMailbox1" name="targetMailbox" 
onchange="updateFolders(1);">

      <option value="">Messages to</option>

<option value="" disabled="disabled">- - - - - - - - -</option>

<option value="*new*">New Folder</option>

<option value="" disabled="disabled">- - - - - - - - -</option>

<option value="INBOX">Inbox</option>

<option value="junkmail">junkmail</option>



     </select>

     </form>

    </div>



    <div class="rightFloat">



    </div>

   </td>

  </tr>

</table>

<table width="100%" cellspacing="0">

  <tr>

   <td class="mboxcontrol bottombordercollapse">

    <div class="rightFloat">

     <ul class="msgactions">

      <li><a 
href="/horde/imp/mailbox.php?mailbox=INBOX&amp;page=1&amp;actionID=hide_deleted&amp;mailbox_token=04b6ecffac0dfc1bb1a2e03513c56a26" class="widget">Hide 
Deleted</a></li>

      <li class="lastnavbar"><a 
href="/horde/imp/mailbox.php?mailbox=INBOX&amp;page=1&amp;actionID=expunge_mailbox&amp;mailbox_token=04b6ecffac0dfc1bb1a2e03513c56a26" class="widget" accesskey="g">Purge Deleted&#8237;(<span 
class="accessKey">G</span>)</a></li>

     </ul>

    </div>

    <div class="leftFloat">

     <ul class="msgactions">

      <li><a href="#" onclick="messages_submit('delete_messages'); 
return false;" class="widget">&#1502;&#1495;&#1511;</a></li>

      <li><a href="#" onclick="messages_submit('undelete_messages'); 
return false;" class="widget" accesskey="U">Undelete&#8237;(<span 
class="accessKey">U</span>)</a></li>

      <li><a href="#" onclick="messages_submit('blacklist'); return 
false;" class="widget">&#1512;&#1513;&#1497;&#1502;&#1492; 
&#1513;&#1495;&#1493;&#1512;&#1492;</a></li>

      <li><a href="#" onclick="messages_submit('whitelist'); return 
false;" class="widget" accesskey="W">Whitelist&#8237;(<span 
class="accessKey">W</span>)</a></li>

      <li><a href="#" onclick="messages_submit('fwd_digest'); return 
false;" class="widget">&#1492;&#1508;&#1509;</a></li>





      <li class="lastnavbar"><a href="#" 
onclick="messages_submit('view_messages'); return false;" 
class="widget">View Messages</a></li>

     </ul>

    </div>

   </td>

  </tr>

</table>



<form method="post" id="messages" name="messages" 
action="/horde/imp/mailbox.php">

<input type="hidden" name="mailbox" value="INBOX" />

<input type="hidden" name="mailbox_token" 
value="04b6ecffac0dfc1bb1a2e03513c56a26" />





<table class="messageList" width="100%" cellspacing="0">

  <tr class="item">



   <th id="checkheader" width="8%" onclick="$('checkAll').checked = 
!$('checkAll').checked;makeSelection(-1);">

    <label for="checkAll" class="hidden">Check All/None</label>

    <input type="checkbox" class="checkbox" id="checkAll" 
name="checkAll" 
onclick="makeSelection(-1);if(window.event){window.event.cancelBubble 
= true;}else if(event){event.stopPropagation();}" title="Check 
All/None (Accesskey A)" accesskey="A" />

   </th>





   <th class="selected" width="4%" 
onclick="document.location.href=this.down('A').href;">

    <a 
href="/horde/imp/mailbox.php?mailbox=INBOX&amp;sortdir=0&amp;sortby=1&amp;actionID=change_sort&amp;mailbox_token=04b6ecffac0dfc1bb1a2e03513c56a26" title="Sort by Arrival"><img src="/horde/themes/graphics/za.png" alt="\/" title="" /></a> <a href="/horde/imp/mailbox.php?mailbox=INBOX&amp;sortdir=0&amp;sortby=1&amp;actionID=change_sort&amp;mailbox_token=04b6ecffac0dfc1bb1a2e03513c56a26" 
class="widget">#</a>

   </th>



   <th class="item" width="10%" 
onclick="document.location.href=this.down('A').href;">

     <a 
href="/horde/imp/mailbox.php?mailbox=INBOX&amp;sortby=0&amp;actionID=change_sort&amp;mailbox_token=04b6ecffac0dfc1bb1a2e03513c56a26" 
class="widget">&#1514;&#1488;&#1512;&#1497;&#1498;</a>

   </th>



   <th class="item" width="20%" 
onclick="document.location.href=this.down('A').href;">

     <a 
href="/horde/imp/mailbox.php?mailbox=INBOX&amp;sortby=2&amp;actionID=change_sort&amp;mailbox_token=04b6ecffac0dfc1bb1a2e03513c56a26" 
class="widget">&#1502;&#1488;&#1514;</a>

   </th>



   <th class="item" width="52%" 
onclick="document.location.href=this.down('A').href;">

     <a 
href="/horde/imp/mailbox.php?mailbox=INBOX&amp;sortby=3&amp;actionID=change_sort&amp;mailbox_token=04b6ecffac0dfc1bb1a2e03513c56a26" class="widget">&#1504;&#1493;&#1513;&#1488;</a> &nbsp;<span style="font-size:95%">[<a href="/horde/imp/mailbox.php?mailbox=INBOX&amp;sortby=161&amp;actionID=change_sort&amp;mailbox_token=04b6ecffac0dfc1bb1a2e03513c56a26" onclick="if (window.event) window.event.cancelBubble = true; else if (event) event.stopPropagation();" class="widget" style="font-size:95%; font-weight:normal;" accesskey="T">Thread&#8237;(<span 
class="accessKey">T</span>)</a>]</span>

   </th>



   <th class="item" width="6%" 
onclick="document.location.href=this.down('A').href;">

     <a 
href="/horde/imp/mailbox.php?mailbox=INBOX&amp;sortby=6&amp;actionID=change_sort&amp;mailbox_token=04b6ecffac0dfc1bb1a2e03513c56a26" class="widget" accesskey="z">Size&#8237;(<span 
class="accessKey">Z</span>)</a>

   </th>



  </tr>



  <tr id="row9INBOX" class="unseen">

   <td>

    <label><input id="check9INBOX" type="checkbox" class="checkbox" 
name="indices[]" onclick="selectRange(event);" value="9root@klin-srv01INBOX" 
/><img src="/horde/imp/themes/graphics/mail_personal.png" 
alt="Personal" title="Personal" /><img 
src="/horde/imp/themes/graphics/mail_unseen.png" alt="Unseen" 
title="Unseen" />&nbsp;</label>

   </td>

   <td>

    9

   </td>

   <td>10:39:23&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=9" 
title="mailman@127.0.0.1">mailman@127.0.0.1</a>&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=9" 
id="subject9INBOX">Your new mailman list password</a></td>

   <td class="rightAlign">1 KB</td>

  </tr>



  <tr id="row8INBOX" class="unseen">

   <td>

    <label><input id="check8INBOX" type="checkbox" class="checkbox" 
name="indices[]" onclick="selectRange(event);" value="801INBOX" 
/><img src="/horde/imp/themes/graphics/mail_unseen.png" alt="Unseen" 
title="Unseen" />&nbsp;</label>

   </td>

   <td>

    8

   </td>

   <td>05:34:53&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=8" 
title="mdadm monitoring &amp;lt;root@klinux.local&amp;gt;">mdadm 
monitoring</a>&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=8" 
id="subject8INBOX">RebuildFinished event on 
/dev/md2:klin-srv.klinux.local</a></td>

   <td class="rightAlign">697</td>

  </tr>



  <tr id="row7INBOX" class="unseen">

   <td>

    <label><input id="check7INBOX" type="checkbox" class="checkbox" 
name="indices[]" onclick="selectRange(event);" value="701INBOX" 
/><img src="/horde/imp/themes/graphics/mail_unseen.png" alt="Unseen" 
title="Unseen" />&nbsp;</label>

   </td>

   <td>

    7

   </td>

   <td>04:38:53&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=7" 
title="mdadm monitoring &amp;lt;root@klinux.local&amp;gt;">mdadm 
monitoring</a>&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=7" 
id="subject7INBOX">Rebuild80 event on 
/dev/md2:klin-srv.klinux.local</a></td>

   <td class="rightAlign">685</td>

  </tr>



  <tr id="row6INBOX" class="unseen">

   <td>

    <label><input id="check6INBOX" type="checkbox" class="checkbox" 
name="indices[]" onclick="selectRange(event);" value="601INBOX" 
/><img src="/horde/imp/themes/graphics/mail_unseen.png" alt="Unseen" 
title="Unseen" />&nbsp;</label>

   </td>

   <td>

    6

   </td>

   <td>04:02:24&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=6" 
title="Cron Daemon &amp;lt;root@klinux.local&amp;gt;">Cron 
Daemon</a>&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=6" 
id="subject6INBOX">Cron &lt;&gt; run-parts 
/etc/cron.daily</a></td>

   <td class="rightAlign">9 KB</td>

  </tr>



  <tr id="row5INBOX" class="unseen">

   <td>

    <label><input id="check5INBOX" type="checkbox" class="checkbox" 
name="indices[]" onclick="selectRange(event);" value="501INBOX" 
/><img src="/horde/imp/themes/graphics/mail_unseen.png" alt="Unseen" 
title="Unseen" />&nbsp;</label>

   </td>

   <td>

    5

   </td>

   <td>03:49:53&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=5" 
title="mdadm monitoring &amp;lt;root@klinux.local&amp;gt;">mdadm 
monitoring</a>&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=5" 
id="subject5INBOX">Rebuild60 event on 
/dev/md2:klin-srv.klinux.local</a></td>

   <td class="rightAlign">682</td>

  </tr>



  <tr id="row4INBOX" class="unseen">

   <td>

    <label><input id="check4INBOX" type="checkbox" class="checkbox" 
name="indices[]" onclick="selectRange(event);" value="401INBOX" 
/><img src="/horde/imp/themes/graphics/mail_unseen.png" alt="Unseen" 
title="Unseen" />&nbsp;</label>

   </td>

   <td>

    4

   </td>

   <td>03:06:53&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=4" 
title="mdadm monitoring &amp;lt;root@klinux.local&amp;gt;">mdadm 
monitoring</a>&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=4" 
id="subject4INBOX">Rebuild40 event on 
/dev/md2:klin-srv.klinux.local</a></td>

   <td class="rightAlign">682</td>

  </tr>



  <tr id="row3INBOX" class="unseen">

   <td>

    <label><input id="check3INBOX" type="checkbox" class="checkbox" 
name="indices[]" onclick="selectRange(event);" value="301INBOX" 
/><img src="/horde/imp/themes/graphics/mail_unseen.png" alt="Unseen" 
title="Unseen" />&nbsp;</label>

   </td>

   <td>

    3

   </td>

   <td>02:25:53&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=3" 
title="mdadm monitoring &amp;lt;root@klinux.local&amp;gt;">mdadm 
monitoring</a>&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=3" 
id="subject3INBOX">Rebuild20 event on 
/dev/md2:klin-srv.klinux.local</a></td>

   <td class="rightAlign">682</td>

  </tr>



  <tr id="row2INBOX" class="unseen">

   <td>

    <label><input id="check2INBOX" type="checkbox" class="checkbox" 
name="indices[]" onclick="selectRange(event);" value="201INBOX" 
/><img src="/horde/imp/themes/graphics/mail_personal.png" 
alt="Personal" title="Personal" /><img 
src="/horde/imp/themes/graphics/mail_unseen.png" alt="Unseen" 
title="Unseen" />&nbsp;</label>

   </td>

   <td>

    2

   </td>

   <td>02:06:04&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=2" 
title="spamfilter-stats@klinux.local">spamfilter-stats@klinux.local</a>&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=2" 
id="subject2INBOX">Spam Filter Statistics from klin-srv - 
2008-12-13</a></td>

   <td class="rightAlign">4 KB</td>

  </tr>



  <tr id="row1INBOX" class="unseen">

   <td>

    <label><input id="check1INBOX" type="checkbox" class="checkbox" 
name="indices[]" onclick="selectRange(event);" value="101INBOX" 
/><img src="/horde/imp/themes/graphics/mail_unseen.png" alt="Unseen" 
title="Unseen" />&nbsp;</label>

   </td>

   <td>

    1

   </td>

   <td>01:30:11&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=1" 
title="mdadm monitoring &amp;lt;root@klinux.local&amp;gt;">mdadm 
monitoring</a>&nbsp;</td>

   <td><a href="/horde/imp/message.php?mailbox=INBOX&amp;index=1" 
id="subject1INBOX">Rebuild20 event on 
/dev/md2:klin-srv.klinux.local</a></td>

   <td class="rightAlign">682</td>

  </tr>



</table>

<input type="hidden" name="page" value="1" />

<input type="hidden" id="actionID" name="actionID" value="" />

<input type="hidden" id="targetMbox" name="targetMbox" value="" />

<input type="hidden" id="newMbox" name="newMbox" value="0" />

<input type="hidden" id="flag" name="flag" value="" />

</form>

<script type="text/javascript">//<![CDATA[

var messagelist = 
{"9INBOX":33,"8INBOX":1,"7INBOX":1,"6INBOX":1,"5INBOX":1,"4INBOX":1,"3INBOX":1,"2INBOX":33,"1INBOX":1};

//]]></script>

<script language="JavaScript1.5" type="text/javascript">

<!--

var _setHordeTitle = 1;

try {

     if (document.title && parent.frames.horde_main) 
parent.document.title = document.title;

} catch (e) {

}

// -->

</script>

<script type="text/javascript">

<!--

if (typeof(_setHordeTitle) == 'undefined' && document.title && 
parent.frames.horde_main) parent.document.title = document.title;

// -->

</script>

</body>

</html>


2008-12-09 14:55:59 amir (at) sheroot (dot) net Comment #9 Reply to this comment
seems NOT to be there ...
2008-12-09 14:49:03 amir (at) sheroot (dot) net Comment #8 Reply to this comment
here is the source :

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"DTD/xhtml1-transitional.dtd">

<!-- Horde: Copyright 2000-2008 The Horde Project.  Horde is under the 
LGPL. -->

<!--                  Horde Project: http://www.horde.org/             
       -->

<!--    GNU Library Public License: 
http://www.fsf.org/copyleft/lgpl.html    -->

<html lang="he-IL"><head>

<script type="text/javascript" src="/horde/js/horde.js"></script>

<title>Horde :: User Options</title>

<link href="/horde/themes/graphics/favicon.ico" rel="SHORTCUT ICON" />

<link href="/horde/themes/screen.css" rel="stylesheet" type="text/css" />

<link href="/horde/themes/bluewhite/screen.css" rel="stylesheet" 
type="text/css" />

<link href="/horde/themes/rtl.css" rel="stylesheet" type="text/css" />

<link href="/horde/themes/bluewhite/rtl.css" rel="stylesheet" 
type="text/css" />

<link href="/horde/themes/screen.css" rel="stylesheet" type="text/css" />

<link href="/horde/themes/bluewhite/screen.css" rel="stylesheet" 
type="text/css" />

<link href="/horde/themes/rtl.css" rel="stylesheet" type="text/css" />

<link href="/horde/themes/bluewhite/rtl.css" rel="stylesheet" 
type="text/css" />

</head>



<body id="services_prefs">

<div id="menu">

  <div class="leftFloat">

<script type="text/javascript" src="/horde/js/popup.js"></script>

<ul>

<li><a 
href="/horde/login.php?horde_logout_token=f4d3a20836e4b35c0f456d64c270128c&amp;app=horde&amp;logout_reason=logout" target="_parent"><img src="/horde/themes/graphics/logout.png" alt="&#1492;&#1514;&#1504;&#1514;&#1511;&#1493;&#1514;" title="" /><br 
/>&#1492;&#1514;&#1504;&#1514;&#1511;&#1493;&#1514;</a></li>

<li><a href="https://sheroot.net/horde/services/help/?module=horde
onclick="popup(this.href); return false;" class="helplink" 
target="help"><img src="/horde/themes/graphics/help_index.png" 
alt="&#1506;&#1494;&#1512;&#1492;" title="" /><br 
/>&#1506;&#1494;&#1512;&#1492;</a></li>

<li><a href="/horde/services/prefs.php?app=horde" class="current"><img 
src="/horde/themes/graphics/prefs.png" 
alt="&#1488;&#1508;&#1513;&#1512;&#1493;&#1497;&#1493;&#1514;" 
title="" /><br 
/>&#1488;&#1508;&#1513;&#1512;&#1493;&#1497;&#1493;&#1514;</a></li>

<li><a href="/horde/turba/"><img 
src="/horde/turba/themes/graphics/turba.png" 
alt="&#1505;&#1508;&#1512; &#1499;&#1514;&#1493;&#1489;&#1493;&#1514;" 
title="" /><br />&#1505;&#1508;&#1512; 
&#1499;&#1514;&#1493;&#1489;&#1493;&#1514;</a></li>

<li><a href="/horde/kronolith/"><img 
src="/horde/kronolith/themes/graphics/kronolith.png" alt="Calendar" 
title="" /><br />Calendar</a></li>

<li><a href="/horde/ingo/"><img 
src="/horde/ingo/themes/graphics/ingo.png" alt="Filters" title="" 
/><br />Filters</a></li>

<li><a href="/horde/imp/"><img 
src="/horde/imp/themes/graphics/imp.png" alt="Mail" title="" /><br 
/>Mail</a></li>

<li><a href="/horde/services/portal/" accesskey="H"><img 
src="/horde/themes/graphics/horde.png" alt="Home" title="" /><br 
/>Home&#8237;(<span class="accessKey">H</span>)</a></li></ul> </div>

</div>

<form method="get" name="appswitch" id="appswitch" 
action="/horde/services/prefs.php">

<div class="header">

  <span class="smallheader rightFloat">

   <label for="app">Edit options for:</label>  <select id="app" 
name="app" onchange="document.appswitch.submit();">

     <option value="">Choose Application:</option>

     <option value="" disabled="disabled">- - - - - - - - -</option>

     <option value="horde">Global Options</option>

     <option value="" disabled="disabled">- - - - - - - - -</option>

        <option value="kronolith">Calendar</option>

        <option value="ingo">Filters</option>

        <option value="imp">Mail</option>

        <option value="turba">&#1505;&#1508;&#1512; 
&#1499;&#1514;&#1493;&#1489;&#1493;&#1514;</option>

      </select>

   <input class="button" type="submit" onclick="return 
document.appswitch.app.selectedIndex != 0;" value="&#1500;&#1498;" />

  </span>

  Global Options <br class="clear" />

</div>

</form>

<br class="spacer" />

<div class="prefsOverview">

  <div style="width:49%">

   <div>

    <h2>Your Information</h2>



    <dl>

             <dt><a 
href="/horde/services/prefs.php?nocache=wcacrnk6sb4&amp;app=horde&amp;group=identities">Personal 
Information</a></dt>

      <dd>Change the name and address that people see when they read 
and reply to your emails.</dd>

                 <dt><a 
href="/horde/services/prefs.php?nocache=wcacrnk6sb4&amp;app=horde&amp;group=authentication">Authentication 
Credentials</a></dt>

      <dd>Set authentication credentials like user names and passwords 
for external servers.</dd>

                 <dt><a 
href="/horde/services/prefs.php?nocache=wcacrnk6sb4&amp;app=horde&amp;group=language">Locale and 
Time</a></dt>

      <dd>Set your preferred language, timezone and date options.</dd>

                 <dt><a 
href="/horde/services/prefs.php?nocache=wcacrnk6sb4&amp;app=horde&amp;group=categories">Categories and 
Labels</a></dt>

      <dd>Manage the list of categories you have to label items with, 
and colors associated with those categories.</dd>

           </dl>

   </div>

  </div>

  <div style="width:49%">

   <div>

    <h2>Other Information</h2>



    <dl>

             <dt><a 
href="/horde/services/prefs.php?nocache=wcacrnk6sb4&amp;app=horde&amp;group=display">Display 
Options</a></dt>

      <dd>Set your startup application, color scheme, page refreshing, 
and other display options.</dd>

                 <dt><a 
href="/horde/services/prefs.php?nocache=wcacrnk6sb4&amp;app=horde&amp;group=logintasks">Login 
Tasks</a></dt>

      <dd>Customize tasks to run upon logon to Horde.</dd>

                 <dt><a 
href="/horde/services/prefs.php?nocache=wcacrnk6sb4&amp;app=horde&amp;group=remote">Remote 
Servers</a></dt>

      <dd>Set up remote servers that you want to access from your portal.</dd>

                 <dt><a 
href="/horde/services/prefs.php?nocache=wcacrnk6sb4&amp;app=horde&amp;group=richtext">Rich Text Editor 
Options</a></dt>

      <dd>Which plugins to enable for the Rich Text editor.</dd>

                 <dt><a 
href="/horde/services/prefs.php?nocache=wcacrnk6sb4&amp;app=horde&amp;group=syncml">SyncML</a></dt>

      <dd>Configuration for syncing with PDAs, Smartphones and Outlook.</dd>

           </dl>

   </div>

  </div>

</div>

<script language="JavaScript1.5" type="text/javascript">

<!--

var _setHordeTitle = 1;

try {

     if (document.title && parent.frames.horde_main) 
parent.document.title = document.title;

} catch (e) {

}

// -->

</script>

<script type="text/javascript">

<!--

if (typeof(_setHordeTitle) == 'undefined' && document.title && 
parent.frames.horde_main) parent.document.title = document.title;

// -->

</script>

</body>

</html>


2008-12-09 14:22:56 Chuck Hagenbuch Comment #7 Reply to this comment
No. Can you please check?
2008-12-09 14:04:29 amir (at) sheroot (dot) net Comment #6 Reply to this comment
Must be - it works in firefox ...


2008-12-08 02:45:48 Chuck Hagenbuch Comment #5
State ⇒ Feedback
Reply to this comment
Is the menu there in the page source?
2008-12-07 06:38:11 amir (at) sheroot (dot) net Comment #4 Reply to this comment
Here are the exact versions i'm using :





# cat /home/httpd/html/horde/lib/version.php

<?php define('HORDE_VERSION', '3.2.2') ?>

# cat /home/httpd/html/horde/imp/lib/version.php

<?php define('IMP_VERSION', 'H3 (4.2)') ?>
2008-12-04 22:24:08 smeserver-contribs (at) snetram (dot) nl Comment #3 Reply to this comment
webmail top menu and commands bar (Delete Blacklist
Whitelist Forward View Messages) is shown when using english but NOT
when using
Hebrew as the language for the interface.
Firefox shows the menu and the bar perfectly - no matter what
language is used
to login with.
The same holds for the Arabic locale
2008-12-04 21:58:20 amir (at) sheroot (dot) net Comment #2 Reply to this comment
Horde is installed on SME server, also reported  a bug number4862:

http://bugs.contribs.org/show_bug.cgi?id=4826


2008-12-04 21:56:17 amir (at) sheroot (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Horde top menu not shown with internet explorer in RTL language based locale
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
webmail top menu and commands bar (Delete Blacklist

Whitelist Forward View Messages) is shown when using english but NOT 
when using

Hebrew as the language for the interface.

Firefox shows the menu and the bar perfectly - no matter what language is used

to login with.


Saved Queries